<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>HTML - Forms, Tables, and Semantic HTML</title>
  </head>

  <body>
    <!-- header tag - a semantic tag to inform the developer and client that this component is for the header of the web page.-->
    <header>
      <h2 align="center">HTML Entities</h2>
    </header>

    <main>
      <!-- This section is for the HTML Table -->
      <section>
        <p>
          <em
            >Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed
            up with HTML code.</em
          >
        </p>

        <table border="2">
          <!-- thead tag is for the header of the table. -->
          <thead>
            <!-- tr - tag defines a table row -->
            <!-- First Row on our header -->
            <tr>
              <!-- th tag defines a table header element. -->
              <!-- colspan attribute changes the amount of columns a table element will occupy -->
              <th colspan="2">Entity</th>
              <!-- rowspan attribute changes the amount of rows a table element will occupy -->
              <th rowspan="2">Description</th>
            </tr>
            <!-- Second Row on our header -->
            <tr>
              <th>Symbol</th>
              <th>Name/Number</th>
            </tr>
          </thead>

          <!-- tbody tag is for the body of the table -->
          <tbody>
            <!-- First Row on our body -->
            <tr>
              <td>&lt;</td>
              <td>lt</td>
              <td>less than</td>
            </tr>
            <!-- Second Row on our body -->
            <tr>
              <td>&gt;</td>
              <td>gt</td>
              <td>greater than</td>
            </tr>

            <tr>
              <td>&#8369;</td>
              <td>#8369</td>
              <td>peso sign</td>
            </tr>

            <tr>
              <td>&amp;</td>
              <td>amp</td>
              <td>ampersand</td>
            </tr>

            <tr>
              <td>&quot;</td>
              <td>quot</td>
              <td>double quotation mark</td>
            </tr>

            <tr>
              <td>&apos;</td>
              <td>apos</td>
              <td>single quotatinmark (apostrophe)</td>
            </tr>

            <tr>
              <td>&ntilde;</td>
              <td>ntilde</td>
              <td>Lower Tilde</td>
            </tr>

            <tr>
              <td>&Ntilde;</td>
              <td>Ntilde</td>
              <td>Upper Tilde</td>
            </tr>
          </tbody>

          <!-- tfoot tag is for the footer of the table -->
          <tfoot>
            <tr>
              <th colspan="3">List of HTML Entities</th>
            </tr>
          </tfoot>
        </table>
      </section>
      <!-- This is the end of Table section -->

      <!-- This section is for the HTML Form -->
      <section>
        <h2 align="center">HTML Form</h2>

        <p><em>Input elements that make up a form.</em></p>

        <form action="">
          <!-- Text inputs -->
          <!-- label tag - creates  text element that serve as the label for the input field. -->
          <!-- type attribute - define what type of information the input field should be -->
          <!-- for attribute - used with the id attribute in an input element. This allows users to click the label to type their response. -->
          <!-- name attribute - it tells the database/api where the value of collected from the user will be added depending on the method. -->
          <label for="fullname">Full Name:</label><br />
          <input
            type="text"
            name="fullname"
            id="fullname"
            required
            autocomplete
          />
          <br />

          <label for="mail">Email: </label><br />
          <input type="email" name="mail" id="mail" required /> <br />

          <label for="birthdate">Birthdate: </label><br />
          <input type="date" name="birthdate" id="birthdate" required /><br />

          <label for="age">Age:</label><br />
          <input type="number" name="age" id="age" required /><br />

          <!-- Dropdown -->
          <!-- value attribute - it is the information from the user that will be passed on the database. -->
          <label for="gender">Gender:</label><br />
          <select name="gender" id="gender">
            <option value="male">Male</option>
            <option value="female">Female</option></select
          ><br />

          <!-- Textarea -->
          <label for="suggestion">Suggestion:</label><br />
          <textarea
            name="suggestion"
            id="suggestion"
            cols="30"
            rows="5"
          ></textarea
          ><br />

          <!-- Radio button -->
          <label>Civil Status:</label><br />
          <input type="radio" name="civilStatus" value="single" id="single" />
          <label for="single">Single</label><br />

          <input type="radio" name="civilStatus" value="married" id="married" />
          <label for="married">Married</label><br />

          <input type="radio" name="civilStatus" value="widowed" id="widowed" />
          <label for="widowed">Widowed</label><br />

          <!-- Checkbox -->
          <label for="">Job:</label> <br />

          <input type="checkbox" name="job1" value="developer" id="developer" />
          <label for="developer">Developer</label><br />

          <input type="checkbox" name="job2" value="student" id="student" />
          <label for="student">Student</label><br />

          <input type="checkbox" name="job3" value="manager" id="manager" />
          <label for="manager">Manager</label><br />

          <button>Submit</button> <br />
          <!-- reset value in type attribute will reset the inputs of the user in the Form fields. -->
          <button type="reset">Reset</button>
        </form>
      </section>
    </main>
  </body>
</html>
